// _GestionStocks_Interface.java
// Created on 6 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.emplois.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionStocks_Interface extends COFrame {

    /** Creates new form _GestionStocks_Interface */
    public _GestionStocks_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupDetail = new org.cocktail.component.CODisplayGroupDetail();
        listeAffichage = new org.cocktail.component.COTable();
        cOView1 = new org.cocktail.component.COView();
        matriceRecherche = new org.cocktail.component.COMatrix();
        cORadioButton1 = new org.cocktail.component.CORadioButton();
        cORadioButton2 = new org.cocktail.component.CORadioButton();
        cORadioButton3 = new org.cocktail.component.CORadioButton();
        cOTextField1 = new org.cocktail.component.COTextField();
        cOButton19 = new org.cocktail.component.COButton();
        jLabel3 = new javax.swing.JLabel();
        cOView2 = new org.cocktail.component.COView();
        cOTextField2 = new org.cocktail.component.COTextField();
        cOTextField4 = new org.cocktail.component.COTextField();
        cOTextField5 = new org.cocktail.component.COTextField();
        cOTextField3 = new org.cocktail.component.COTextField();
        cOTextField6 = new org.cocktail.component.COTextField();
        jLabel9 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        cOButton20 = new org.cocktail.component.COButton();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        cOComboBox1 = new org.cocktail.component.COComboBox();
        jLabel6 = new javax.swing.JLabel();
        vueBoutonsValidation = new org.cocktail.component.COView();
        cOButton9 = new org.cocktail.component.COButton();
        cOButton13 = new org.cocktail.component.COButton();
        jLabel10 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        vueBoutonsModification = new org.cocktail.component.COView();
        cOButton12 = new org.cocktail.component.COButton();
        cOButton10 = new org.cocktail.component.COButton();
        cOButton11 = new org.cocktail.component.COButton();
        listeFlux = new org.cocktail.component.COTable();
        cOButton14 = new org.cocktail.component.COButton();
        cOButton15 = new org.cocktail.component.COButton();
        cOButton16 = new org.cocktail.component.COButton();

        displayGroup.setEntityName("DecisionDelegation");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        displayGroupDetail.setDetailRelationship("fluxMoyens");
        displayGroupDetail.setDisplayGroupMaster(displayGroup);
        displayGroupDetail.setEntityName("FluxMoyens");

        setControllerClassName("org.cocktail.mangue.client.emplois.GestionStocks");
        setSize(new java.awt.Dimension(661, 548));

        listeAffichage.setColumns(new Object[][] {{"%d/%m/%Y","dDecDelegation",new Integer(0),"Date",new Integer(0),new Integer(88),new Integer(1000),new Integer(10)},{"","refCourrier",new Integer(2),"Ref Courrier",new Integer(0),new Integer(97),new Integer(1000),new Integer(69)},{"","bureauEmetteur",new Integer(2),"Bureau",new Integer(0),new Integer(81),new Integer(1000),new Integer(10)},{null,"cTypeDecision",new Integer(0),"Type",new Integer(0),new Integer(65),new Integer(1000),new Integer(10)},{null,"toRne.lcRne",new Integer(2),"Impl",new Integer(0),new Integer(94),new Integer(1000),new Integer(94)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);

        cOView1.setIsBox(true);
        cOView1.setTitle("Recherche");

        cORadioButton1.setText("Supérieure à");

        cORadioButton2.setText("Egale à");

        cORadioButton3.setText("Inférieure à");

        cOTextField1.setActionName("rechercher");
        cOTextField1.setEnabledMethod("peutRechercher");
        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("dateRecherche");

        cOButton19.setActionName("rechercher");
        cOButton19.setBorderPainted(false);
        cOButton19.setEnabledMethod("peutRechercher");
        cOButton19.setIconName("loupe16.gif");

        org.jdesktop.layout.GroupLayout matriceRechercheLayout = new org.jdesktop.layout.GroupLayout(matriceRecherche);
        matriceRecherche.setLayout(matriceRechercheLayout);
        matriceRechercheLayout.setHorizontalGroup(
            matriceRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(matriceRechercheLayout.createSequentialGroup()
                .add(matriceRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(matriceRechercheLayout.createSequentialGroup()
                        .addContainerGap()
                        .add(matriceRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cORadioButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cORadioButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cORadioButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(matriceRechercheLayout.createSequentialGroup()
                        .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 86, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(9, Short.MAX_VALUE))
        );
        matriceRechercheLayout.setVerticalGroup(
            matriceRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(matriceRechercheLayout.createSequentialGroup()
                .addContainerGap()
                .add(cORadioButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cORadioButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cORadioButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(matriceRechercheLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(16, Short.MAX_VALUE))
        );

        jLabel3.setFont(new java.awt.Font("Helvetica", 0, 12)); // NOI18N
        jLabel3.setText("Date");

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel3)
                    .add(matriceRecherche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(16, Short.MAX_VALUE))
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .add(10, 10, 10)
                .add(jLabel3)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(matriceRecherche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(20, Short.MAX_VALUE))
        );

        cOView2.setIsBox(true);

        cOTextField2.setDisplayGroupForValue(displayGroup);
        cOTextField2.setEnabledMethod("modificationEnCours");
        cOTextField2.setSupportsBackgroundColor(true);
        cOTextField2.setValueName("dateDeclarationFormatee");

        cOTextField4.setDisplayGroupForValue(displayGroup);
        cOTextField4.setEnabledMethod("nonEditable");
        cOTextField4.setSupportsBackgroundColor(true);
        cOTextField4.setValueName("toRne.libelleLong");

        cOTextField5.setDisplayGroupForValue(displayGroup);
        cOTextField5.setEnabledMethod("modificationEnCours");
        cOTextField5.setSupportsBackgroundColor(true);
        cOTextField5.setValueName("lDecDelegation");

        cOTextField3.setDisplayGroupForValue(displayGroup);
        cOTextField3.setEnabledMethod("modificationEnCours");
        cOTextField3.setSupportsBackgroundColor(true);
        cOTextField3.setValueName("refCourrier");

        cOTextField6.setDisplayGroupForValue(displayGroup);
        cOTextField6.setEnabledMethod("modificationEnCours");
        cOTextField6.setSupportsBackgroundColor(true);
        cOTextField6.setValueName("bureauEmetteur");

        jLabel9.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel9.setText("UAI");

        jLabel4.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel4.setText("Objet");

        jLabel5.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel5.setText("Date");

        cOButton20.setActionName("afficherRne");
        cOButton20.setBorderPainted(false);
        cOButton20.setEnabledMethod("modificationEnCours");
        cOButton20.setIconName("loupe16.gif");

        jLabel7.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel7.setText("Bureau ");

        jLabel8.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel8.setText("Réf");

        cOComboBox1.setEnabledMethod("modificationEnCours");
        cOComboBox1.setIndexForSelection("selectionPopupType");
        cOComboBox1.setTitles("Délégation,Rompus de temps partiel");

        jLabel6.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel6.setText("Type");

        cOButton9.setActionName("annuler");
        cOButton9.setBorderPainted(false);
        cOButton9.setEnabledMethod("modificationEnCours");
        cOButton9.setIconName("annuler16.gif");

        cOButton13.setActionName("valider");
        cOButton13.setBorderPainted(false);
        cOButton13.setEnabledMethod("peutValider");
        cOButton13.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsValidationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsValidation);
        vueBoutonsValidation.setLayout(vueBoutonsValidationLayout);
        vueBoutonsValidationLayout.setHorizontalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, vueBoutonsValidationLayout.createSequentialGroup()
                .addContainerGap()
                .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        vueBoutonsValidationLayout.setVerticalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .add(vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(9, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout cOView2Layout = new org.jdesktop.layout.GroupLayout(cOView2);
        cOView2.setLayout(cOView2Layout);
        cOView2Layout.setHorizontalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(cOView2Layout.createSequentialGroup()
                        .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 44, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(79, 79, 79)
                        .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jLabel9)
                            .add(jLabel4))
                        .add(18, 18, 18)
                        .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOView2Layout.createSequentialGroup()
                                .add(jLabel5)
                                .add(18, 18, 18)
                                .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 141, Short.MAX_VALUE)
                                .add(jLabel7)
                                .add(18, 18, 18)
                                .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jLabel8)
                                .add(18, 18, 18)
                                .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 80, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 558, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView2Layout.createSequentialGroup()
                                .add(cOTextField4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 321, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jLabel6)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 162, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap())
        );
        cOView2Layout.setVerticalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel5)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel8)
                    .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel9)
                    .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6)
                    .add(cOButton20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel1.setText("Décisions de Délégation");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Flux");

        cOButton12.setActionName("supprimer");
        cOButton12.setBorderPainted(false);
        cOButton12.setEnabledMethod("boutonModificationAutorise");
        cOButton12.setIconName("supprimer16.gif");

        cOButton10.setActionName("ajouter");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("modeSaisiePossible");
        cOButton10.setIconName("ajouter16.gif");

        cOButton11.setActionName("modifier");
        cOButton11.setBorderPainted(false);
        cOButton11.setEnabledMethod("boutonModificationAutorise");
        cOButton11.setIconName("modifier16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsModificationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsModification);
        vueBoutonsModification.setLayout(vueBoutonsModificationLayout);
        vueBoutonsModificationLayout.setHorizontalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
            .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
        );
        vueBoutonsModificationLayout.setVerticalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsModificationLayout.createSequentialGroup()
                .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        listeFlux.setColumns(new Object[][] {{null,"toCategorieEmploi.cCategorieEmploi",new Integer(2),"Corps",new Integer(0),new Integer(81),new Integer(1000),new Integer(10)},{null,"toCategorieEmploi.lcCategorieEmploi",new Integer(2),"Libellé Corps",new Integer(0),new Integer(190),new Integer(1000),new Integer(10)},{null,"toProgramme.cProgramme",new Integer(0),"Programme",new Integer(0),new Integer(71),new Integer(1000),new Integer(10)},{null,"toTitre.cTitre",new Integer(0),"Titre",new Integer(0),new Integer(82),new Integer(1000),new Integer(10)},{null,"toChapitre.cChapitre",new Integer(0),"Code Chap",new Integer(0),new Integer(63),new Integer(1000),new Integer(10)},{null,"toChapitreArticle.cArticle",new Integer(0),"Article",new Integer(0),new Integer(82),new Integer(1000),new Integer(10)},{"0","valFluxMoyens",new Integer(0),"Valeur",new Integer(0),new Integer(41),new Integer(1000),new Integer(39)}});
        listeFlux.setDisplayGroupForTable(displayGroupDetail);

        cOButton14.setActionName("modifierDetail");
        cOButton14.setBorderPainted(false);
        cOButton14.setEnabledMethod("modificationFluxAutorisee");
        cOButton14.setIconName("modifier16.gif");

        cOButton15.setActionName("ajouterDetail");
        cOButton15.setBorderPainted(false);
        cOButton15.setEnabledMethod("boutonModificationAutorise");
        cOButton15.setIconName("ajouter16.gif");

        cOButton16.setActionName("supprimerDetail");
        cOButton16.setBorderPainted(false);
        cOButton16.setEnabledMethod("modificationFluxAutorisee");
        cOButton16.setIconName("supprimer16.gif");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(20, 20, 20)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(listeFlux, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 622, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(layout.createSequentialGroup()
                            .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 457, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                            .add(cOView1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .add(jLabel1)
                        .add(layout.createSequentialGroup()
                            .add(jLabel2)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 544, Short.MAX_VALUE)
                            .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(18, 18, 18)))
                    .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(21, 21, 21))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(10, 10, 10)
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(cOView1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(listeAffichage, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 181, Short.MAX_VALUE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 140, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel2)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(4, 4, 4)
                .add(listeFlux, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 137, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton12;
    public org.cocktail.component.COButton cOButton13;
    public org.cocktail.component.COButton cOButton14;
    public org.cocktail.component.COButton cOButton15;
    public org.cocktail.component.COButton cOButton16;
    public org.cocktail.component.COButton cOButton19;
    public org.cocktail.component.COButton cOButton20;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COComboBox cOComboBox1;
    private org.cocktail.component.CORadioButton cORadioButton1;
    private org.cocktail.component.CORadioButton cORadioButton2;
    private org.cocktail.component.CORadioButton cORadioButton3;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.COTextField cOTextField3;
    public org.cocktail.component.COTextField cOTextField4;
    public org.cocktail.component.COTextField cOTextField5;
    public org.cocktail.component.COTextField cOTextField6;
    private org.cocktail.component.COView cOView1;
    private org.cocktail.component.COView cOView2;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroupDetail displayGroupDetail;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COTable listeFlux;
    public org.cocktail.component.COMatrix matriceRecherche;
    public org.cocktail.component.COView vueBoutonsModification;
    public org.cocktail.component.COView vueBoutonsValidation;
    // End of variables declaration//GEN-END:variables
                  

}
